[arch-commits] Commit in python-fiona/repos/community-staging-x86_64 (2 files)
Evangelos Foutras
foutrelis at gemini.archlinux.org
Wed Dec 8 02:54:30 UTC 2021
Date: Wednesday, December 8, 2021 @ 02:54:29
Author: foutrelis
Revision: 1065591
archrelease: copy trunk to community-staging-x86_64
Added:
python-fiona/repos/community-staging-x86_64/PKGBUILD
(from rev 1065590, python-fiona/trunk/PKGBUILD)
Deleted:
python-fiona/repos/community-staging-x86_64/PKGBUILD
----------+
PKGBUILD | 99 +++++++++++++++++++++++++++++++------------------------------
1 file changed, 51 insertions(+), 48 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-12-08 02:54:25 UTC (rev 1065590)
+++ PKGBUILD 2021-12-08 02:54:29 UTC (rev 1065591)
@@ -1,48 +0,0 @@
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-
-_pkg=Fiona
-pkgname=python-${_pkg,,}
-pkgver=1.8.20
-pkgrel=4
-pkgdesc="Read and write geographic data files"
-arch=(x86_64)
-url="https://github.com/Toblerity/Fiona"
-license=(BSD)
-depends=(
- gdal
- python-attrs
- python-certifi
- python-click
- python-click-plugins
- python-cligj
- python-munch
- python-six
-)
-optdepends=(
- 'python-shapely: fio-calc functionnality'
- 'python-boto3: s3 support'
-)
-makedepends=(cython python-setuptools)
-checkdepends=(python-pytest python-boto3 python-pytz python-shapely)
-source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
-sha256sums=('a70502d2857b82f749c09cb0dea3726787747933a2a1599b5ab787d74e3c143b')
-
-build() {
- cd ${_pkg}-${pkgver}
- python setup.py build
-}
-
-check() {
- cd ${_pkg}-${pkgver}
- mv fiona{,.bak} # Avoid non-working local import
- local python_version=$(python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')
- # Currently they are 67 failing tests but no time to investigate
- PYTHONPATH="${PWD}"/build/lib.linux-${CARCH}-${python_version}/ pytest -m "not wheel" || echo "Warning: failed tests"
- mv fiona{.bak,}
-}
-
-package() {
- cd ${_pkg}-${pkgver}
- python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
- install -Dm644 LICENSE.txt -t "${pkgdir}"/usr/share/licenses/${pkgname}
-}
Copied: python-fiona/repos/community-staging-x86_64/PKGBUILD (from rev 1065590, python-fiona/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-12-08 02:54:29 UTC (rev 1065591)
@@ -0,0 +1,51 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=Fiona
+pkgname=python-${_pkg,,}
+pkgver=1.8.20
+pkgrel=5
+pkgdesc="Read and write geographic data files"
+arch=(x86_64)
+url="https://github.com/Toblerity/Fiona"
+license=(BSD)
+depends=(
+ gdal
+ python-attrs
+ python-certifi
+ python-click
+ python-click-plugins
+ python-cligj
+ python-munch
+ python-six
+)
+optdepends=(
+ 'python-shapely: fio-calc functionnality'
+ 'python-boto3: s3 support'
+)
+makedepends=(cython python-setuptools)
+checkdepends=(python-pytest python-boto3 python-pytz python-shapely)
+#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+# need sources generated with newer cython than the one used in pypi sources
+# https://github.com/Toblerity/Fiona/issues/1043
+source=(https://github.com/Toblerity/Fiona/archive/$pkgver/$pkgname-$pkgver.tar.gz)
+sha256sums=('9db20c25cd5657e12cf2b60bdd33954064ca31b7048b605885d34b390f898018')
+
+build() {
+ cd ${_pkg}-${pkgver}
+ python setup.py build
+}
+
+check() {
+ cd ${_pkg}-${pkgver}
+ mv fiona{,.bak} # Avoid non-working local import
+ local python_version=$(python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')
+ # Currently they are 67 failing tests but no time to investigate
+ PYTHONPATH="${PWD}"/build/lib.linux-${CARCH}-${python_version}/ pytest -m "not wheel" || echo "Warning: failed tests"
+ mv fiona{.bak,}
+}
+
+package() {
+ cd ${_pkg}-${pkgver}
+ python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
+ install -Dm644 LICENSE.txt -t "${pkgdir}"/usr/share/licenses/${pkgname}
+}
More information about the arch-commits
mailing list